Delete a Project | Vercel REST API
Delete a Project
DEL https://api.vercel.com/v9/projects/{idOrName}
Delete a specific project by passing either the project id or name in the URL.
Example Request
const response = await fetch('https://api.vercel.com/v9/projects/idOrName?teamId=string&slug=string', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
{}
Authentication
Authorization: bearerToken
Default authentication mechanism.
Path Parameters
idOrNamestring Required
The unique project identifier or the project name.
Query Parameters
teamIdstring Optional
The Team identifier to perform the request on behalf of.slugstring Optional
The Team slug to perform the request on behalf of.
Response Status
204The project was successfully removed.
Errors
400One of the provided values in the request query is invalid.401The request is not authorized.403You do not have permission to access this resource.409Error410Error